Skip to content
POST /unified/instant-messaging/channels/join

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

channelobject

Channel to join

1 supported
Slack
supported
idstring

Unique identifier of the channel

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

Unique identifier for the channel.

1 supported
Slack
supported
created_atstring · date-time

Date and time when the channel was created.

1 supported
Slack
supported
created_byobject
1 supported
Slack
supported
idstring

Unique identifier for the member.

descriptionstring

Description of the channel.

1 supported
Slack
supported
groupobject

Group to which the channel belongs.

idstring

Unique identifier for the group.

namestring

Name of the group.

is_memberboolean

Is the current authed user or application is a member of the channel. This might not directly mean that the user or application can post messages on the channel.

1 supported
Slack
supported
namestring

Name of the channel.

1 supported
Slack
supported
organizationobject

Organization to which the channel belongs.

idstring

Unique identifier for the organization.

namestring

Name of the organization.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

Status of the channel.

Possible values:
activearchived
1 supported
Slack
supported
typestring

Type of the channel.

Possible values:
channelprivate_channeldmgroup_dm
1 supported
Slack
supported
updated_atstring · date-time

Date and time when the channel was last updated.

1 supported
Slack
supported
workspaceobject

Workspace to which the channel belongs.

idstring

Unique identifier for the workspace.

namestring

Name of the workspace.

curl -X POST 'https://api.truto.one/unified/instant-messaging/channels/join?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "channel": {},
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "channel": {},
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/instant-messaging/channels/join?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/instant-messaging/channels/join"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "channel": {},
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: join
const result = await truto.unifiedApi.join(
  'instant-messaging',
  'channels',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: join
    result = await truto_api.unified_api.join(
        "instant-messaging",
        "channels",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())